SourceGenerationRequestsManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class SourceGenerationRequestsManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SourceGenerationRequestsManager

    public class SourceGenerationRequestsManager

extends java.lang.Object

Field Summary
`static java.lang.String` | `requestsTable`

Constructor Summary
`SourceGenerationRequestsManager()`

Method Summary
`static void` | `addGeneratedResource(int hspecId, java.lang.String id)`
`static void` | `addJobIds(int jobId, java.lang.String id)`
`static void` | `addReportId(int reportId, java.lang.String id)`
`static int` | `delete(java.util.ArrayList<Field> filter)`
`static int` | `delete(java.lang.String id)`
`static SourceGenerationRequest` | `getById(java.lang.String id)`
`static java.lang.Long` | `getCount(java.util.List<Field> filter)`
`static java.lang.String` | `getJSONList(java.util.List<Field> filters, PagedRequestSettings settings)`
`static java.util.ArrayList<SourceGenerationRequest>` | `getList(java.util.ArrayList<Field> filter)`
`static java.util.List<SourceGenerationRequest>` | `getList(java.util.List<Field> filter, PagedRequestSettings settings)`
`static java.lang.String` | `insertRequest(SourceGenerationRequest toInsert)`
`static void` | `removeReportId(int reportId, java.lang.String id)`
`static void` | `setEvaluatedComputationCount(int count, java.lang.String id)`
`static void` | `setPhase(SourceGenerationPhase phase, java.lang.String id)`
`static void` | `setPhasePercent(double percent, java.lang.String id)`
`static void` | `setStartTime(java.lang.String id)`
`static void` | `setToGenerateTableCount(int count, java.lang.String id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requestsTable

    public static final java.lang.String requestsTable

See Also:
  Constant Field Values

Constructor Detail

### SourceGenerationRequestsManager

    public SourceGenerationRequestsManager()

Method Detail

### insertRequest

    public static java.lang.String insertRequest(SourceGenerationRequest toInsert)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.ArrayList<SourceGenerationRequest> getList(java.util.ArrayList<Field> filter)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.List<SourceGenerationRequest> getList(java.util.List<Field> filter,
                                                                  PagedRequestSettings settings)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPhase

    public static void setPhase(SourceGenerationPhase phase,
                                java.lang.String id)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addReportId

    public static void addReportId(int reportId,
                                   java.lang.String id)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeReportId

    public static void removeReportId(int reportId,
                                      java.lang.String id)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPhasePercent

    public static void setPhasePercent(double percent,
                                       java.lang.String id)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addGeneratedResource

    public static void addGeneratedResource(int hspecId,
                                            java.lang.String id)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addJobIds

    public static void addJobIds(int jobId,
                                 java.lang.String id)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setToGenerateTableCount

    public static void setToGenerateTableCount(int count,
                                               java.lang.String id)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setEvaluatedComputationCount

    public static void setEvaluatedComputationCount(int count,
                                                    java.lang.String id)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setStartTime

    public static void setStartTime(java.lang.String id)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONList

    public static java.lang.String getJSONList(java.util.List<Field> filters,
                                               PagedRequestSettings settings)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public static int delete(java.util.ArrayList<Field> filter)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public static int delete(java.lang.String id)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCount

    public static java.lang.Long getCount(java.util.List<Field> filter)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getById

    public static SourceGenerationRequest getById(java.lang.String id)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD